package com.nuliji.tools.mybatis;

/**
 * Created by gaojie on 2017/11/8.
 */
public class Example extends tk.mybatis.mapper.entity.Example {
    // 默认的status状态，即为全选
    static public final int DEFAULT_STATUS = -1;
    static public final String DEFAULT_STATUS_CODE = "-1";
    // 默认的空值
    static public final int EMPTY_VALUE = 0;
    static public final String EMPTY_VALUE_CODE = "0";
    public Example(Class<?> entityClass) {
        super(entityClass);
    }

    public Example(Class<?> entityClass, boolean exists) {
        super(entityClass, exists);
    }

    public Example(Class<?> entityClass, boolean exists, boolean notNull) {
        super(entityClass, exists, notNull);
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        return criteria;
    }

}
